Loading...
Searching...
No Matches
mdds::rtree< KeyT, ValueT, Traits >::bulk_loader Class Reference

`#include <rtree.hpp>`

## Public Member Functions

void | insert (const extent_type &extent, value_type &&value)
void | insert (const extent_type &extent, const value_type &value)
void | insert (const point_type &position, value_type &&value)
void | insert (const point_type &position, const value_type &value)
rtree | pack ()

## Detailed Description

template<typename KeyT, typename ValueT, typename Traits = detail::rtree::default_rtree_traits>
class mdds::rtree< KeyT, ValueT, Traits >::bulk_loader

Loader optimized for loading a large number of value objects. A resultant tree will have a higher chance of being well balanced than if the value objects were inserted individually into the tree.